VersionConflictException missing


(Daniel McGreal) #1

Hi,

https://www.elastic.co/guide/en/elasticsearch/reference/5.x/breaking_50_java_api_changes.html tells me to expect to change DocumentAlreadyExistsExceptions to a VersionConflictException, but that doesn't seem to exist. Is it VersionConflictEngineException?

Thanks, Dan.


(Nik Everett) #2

Yes! I'm on mobile so I can't fix it now, can you file an issue or open a
PR if you are willing? You ought to be able to click on the pencil on the
docs to make the changes. Either way we'll get a fix in!


(Daniel McGreal) #3

I tried a PR, but I don't think it worked :S


(system) #4